<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
// require_once $controller->getConst('PLUGIN_DIR') . 'Stripe_sdk/autoload.php';

abstract class pjPaymentsSDK
{
	protected $privateKey;
	
	protected $publicKey;

	public function __construct( $public_key=null, $private_key=null)
	{

		$this->setPublicKey($public_key);
		$this->setPrivateKey($private_key);
	}

	abstract protected function request($path=null, $params=null);
	
	abstract protected function getEndPoint($path=null);

	public function getPrivateKey()
	{
		return $this->privateKey;
	}
	
	public function getPublicKey()
	{
		return $this->publicKey;
	}

	public function setPrivateKey($value)
	{
		$this->privateKey = $value;
		
		return $this;
	}
	
	public function setPublicKey($value)
	{
		$this->publicKey = $value;
		
		return $this;
	}
	
}